=== debian/changelog ===
olm (3.2.10~dfsg-6ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use Ubuntu LDFLAGS for wasm build,
      because they are incompatible with wasm, causing a build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Feb 2022 21:59:46 +0100

olm (3.2.10~dfsg-6) unstable; urgency=medium

  * fix check JavaScript tests only where Node.js is available

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Feb 2022 11:25:19 +0100

olm (3.2.10~dfsg-5ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use Ubuntu LDFLAGS for wasm build,
      because they are incompatible with wasm, causing a build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Feb 2022 20:35:26 +0100

olm (3.2.10~dfsg-5) unstable; urgency=medium

  * check javascript tests;
    build-depend on node-jasmine
  * generate html and plaintext README for libjs-olm
    from upstream markdown
  * simplify building JavaScript code;
    tighten build-dependency on emscripten

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 17 Feb 2022 13:19:31 +0100

olm (3.2.10~dfsg-4ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use Ubuntu LDFLAGS for wasm build,
      because they are incompatible with wasm, causing a build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 27 Jan 2022 22:31:21 +0100

olm (3.2.10~dfsg-4) unstable; urgency=medium

  * set Rules-Requires-Root: no
  * use doctest as test runner:
    + drop patch 2003
    + build-depend on doctest-dev
  * build-depend on python3-pygments,
    to improve parsing of upstream ReST documentation

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 19 Jan 2022 09:48:11 +0100

olm (3.2.10~dfsg-3) unstable; urgency=medium

  * fix build html documentation in arch-dependent build

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 23:29:03 +0100

olm (3.2.10~dfsg-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Don't use Ubuntu LDFLAGS for wasm build,
      because they are incompatible with wasm, causing a build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Jan 2022 22:44:43 +0100

olm (3.2.10~dfsg-2) unstable; urgency=medium

  * add patch 1001 to fix make target doc;
    thanks to Hubert Chathi
  * add patch 1002 to fix ReST syntax of upstream file CHANCHELOG.rst
  * build and install html documentation from ReST and Markdown sources;
    build-depend on python3-docutils pandoc;
    have libolm3-dev recommend libjs-katex
  * update TODOs

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 22:09:50 +0100

olm (3.2.10~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + avoid convenience code copy of doctest
      when repackaging upstream source
    + update coverage
  * rename and renumber patch
    1001_python3.patch -> 2002_python3_shebang.patch:
    Shrunk to only strip use of /usr/bin/env
    which is unlikely to be relevant upstream
  * add patch 2003 to avoid doctest for running testsuite

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 13 Jan 2022 13:18:56 +0100

olm (3.2.8~dfsg-1ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use Ubuntu LDFLAGS for wasm build,
      because they are incompatible with wasm, causing a build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Dec 2021 12:21:00 +0100

olm (3.2.8~dfsg-1) unstable; urgency=high

  [ upstream ]
  * new release

  * set urgency=high die to security bugfix;
    CVE-2021-44538

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 13 Dec 2021 19:23:42 +0100

olm (3.2.7~dfsg-2) unstable; urgency=medium

  * tighten lintian overrides
  * update symbols:
    + 3 public symbols added
    + 72 public symbols dropped (wrongly introduced in 3.2.6)
    + 1 private symbol dropped

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 17:32:06 +0100

olm (3.2.7~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * use dpkg-provided make snippet (not direct dpkg-parsechangelog call)
    to resolve if release is experimental

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 07 Dec 2021 12:08:56 +0100

olm (3.2.6~dfsg-2) unstable; urgency=medium

  * update symbols file:
    many changes, including removal of public symbol olm_pk_cipher
    which is unused in all reverse dependencies in Debian
  * relax to build-depend unversioned on python3-all-dev:
    required version satisfied in all supported Debian releases

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Sep 2021 13:31:17 +0200

olm (3.2.6~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * update copyright info:
    + use Reference field (not License-Reference);
      tighten lintian overrides
    + update coverage
    + list GitHub issue tracker as preferred upstream contact
    + update source URI
  * use semantic newlines in long description and copyright fields
  * update Homepage URI
  * drop patch cherry-picked upstream now applied
  * unfuzz patch 2001
  * add debian/patches/README documenting patch-naming micro-policy
  * relax symbols check when targeting experimental

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 19 Sep 2021 12:03:06 +0200

olm (3.2.4~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.0
  * track library symbols; build-depend on pkg-kde-tools
  * stop pass -sASSERTIONS=1 to emscripten:
    uncertain why it was added,
    and apparently cause build failure with emscripten 2.0.26

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Aug 2021 13:51:37 +0200

olm (3.2.3~dfsg-3) unstable; urgency=medium

  * fix URLs in DEP-3 headers of upstream cherry-picked patch
  * fix post-build cleanup

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 Aug 2021 17:16:05 +0200


