=== debian/changelog ===
olm (3.2.11~dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Hubert Chathi <uhoreg@debian.org>  Mon, 25 Jul 2022 18:19:17 -0400

olm (3.2.11~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * invert to list architectures _without_ Node.js,
    to treat unknown architectures optimistically
  * drop patches 1001 1002 adopted upstream

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2022 10:37:50 +0200
