=== debian/control ===
--- 
+++ 
@@ -3,26 +3,24 @@
 Maintainer: Matrix Packaging Team <pkg-matrix-maintainers@lists.alioth.debian.org>
 Uploaders:
  Hubert Chathi <uhoreg@debian.org>,
- Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
  dh-sequence-python3,
- doctest-dev <!nocheck>,
- node-jasmine [amd64 arm64 armhf i386 mips64el mipsel ppc64 ppc64el s390x] <!nocheck>,
+ doctest-dev,
  pandoc,
  pkg-kde-tools,
  python3-all-dev,
  python3-cffi,
  python3-docutils,
- python3-future <!nocheck>,
+ python3-future,
  python3-pygments,
- python3-pytest <!nocheck>,
+ python3-pytest,
  python3-setuptools,
 Build-Depends-Indep:
  brotli,
  dpkg (>= 1.20.1),
- emscripten (>= 3.1.4~),
+ emscripten,
  pigz,
  uglifyjs (>= 3),
 Standards-Version: 4.6.0
