=== debian/changelog ===
olm (3.2.12~dfsg-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use Ubuntu LDFLAGS for wasm build,
      because they are incompatible with wasm, causing a build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jul 2022 12:00:19 +0200

olm (3.2.12~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Jonas Smedegaard ]
  * remove myself as uploader

  [ Jochen Sprickerhof ]
  * Drop android/.DS_Store from Files-Excluded (gone upstream)
  * New upstream version 3.2.12~dfsg
  * Fix tests with nodejs 18.
    Thanks to Jérémy Lal (Closes: 1015268)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 26 Jul 2022 19:07:43 +0200

olm (3.2.11~dfsg-1ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Don't use Ubuntu LDFLAGS for wasm build,
      because they are incompatible with wasm, causing a build failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 29 Apr 2022 09:59:23 +0200
