=== debian/control ===
--- 
+++ 
@@ -7,20 +7,21 @@
  cmake,
  debhelper-compat (= 13),
  dh-sequence-python3,
- doctest-dev,
+ doctest-dev <!nocheck>,
+ node-jasmine [!alpha !armel !hppa !hurd-i386 !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !powerpc !riscv64 !sh4 !sparc64 !x32] <!nocheck>,
  pandoc,
  pkg-kde-tools,
  python3-all-dev,
  python3-cffi,
  python3-docutils,
- python3-future,
+ python3-future <!nocheck>,
  python3-pygments,
- python3-pytest,
+ python3-pytest <!nocheck>,
  python3-setuptools,
 Build-Depends-Indep:
  brotli,
  dpkg (>= 1.20.1),
- emscripten,
+ emscripten (>= 3.1.4~),
  pigz,
  uglifyjs (>= 3),
 Standards-Version: 4.6.0
