=== debian/changelog ===
olm (3.2.13~dfsg-1) unstable; urgency=medium

  * Team upload.
  * new upstream version
  * Add Multi-Arch according to MA hinter

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 15 Oct 2022 10:01:51 +0200
