=== debian/control ===
--- 
+++ 
@@ -112,6 +112,7 @@
 Package: libjs-olm
 Section: javascript
 Architecture: all
+Multi-Arch: foreign
 Depends:
  ${misc:Depends},
 Provides:
