=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,6 @@
 $(addprefix debian/js/,$(addsuffix .js,$(JS_STEMS)) $(addsuffix .wasm,$(WASM_STEMS))):
 	CFLAGS="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector DEB_CFLAGS_MAINT_STRIP=-g dpkg-buildflags --get CFLAGS)" \
 	CXXFLAGS="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector DEB_CXXFLAGS_MAINT_STRIP=-g dpkg-buildflags --get CXXFLAGS)" \
-	LDFLAGS="" \
 	make $(DEB_BUILD_OPTION_PARALLEL:%=-j%) js
 	install -D --mode=0644 --target-directory debian/js $(addprefix javascript/,$(addsuffix .js,$(JS_STEMS)) $(addsuffix .wasm,$(WASM_STEMS)))
 
@@ -69,7 +68,7 @@
 
 override_dh_auto_test-indep:
 ifneq (,$(wildcard /usr/bin/jasmine))
-	cd javascript && jasmine --config=test/jasmine.json
+	cd javascript && NODE_OPTIONS="--no-experimental-fetch" jasmine --config=test/jasmine.json
 endif
 
 execute_after_dh_auto_install-arch:
