=== debian/tests/control ===
Test-Command:
 sed -i -e 's,\.\./olm,@matrix-org/olm,' javascript/test/*.spec.js
 && cd javascript && NODE_OPTIONS="--no-experimental-fetch" jasmine --config=test/jasmine.json
Depends:
 node-jasmine,
 node-matrix-org-olm,

Test-Command: node -e "
 const domino = require('domino');
 const window = domino.createWindow('');
 const document = window.document;
 require('/usr/share/javascript/olm/olm');
 require('/usr/share/javascript/olm/olm.min');
 require('/usr/share/javascript/olm/olm_legacy');
 require('/usr/share/javascript/olm/olm_legacy.min');
 "
Depends:
 libjs-olm,
 node-domino,
 nodejs,
Restrictions: superficial

Test-Command:
 cd /usr/share/javascript &&
 eslint --no-eslintrc --format tap --env browser  --parser-options '{ "ecmaVersion": 2015 }' olm/*.js
Depends:
 eslint,
 libjs-olm,
 node-js-yaml,
Restrictions: superficial
