=== debian/watch ===
version=4
# check: uscan --report
# update: gbp import-orig --upstream-vcs-tag=vX.Y.Z --uscan

opts=\
repacksuffix=~dfsg,\
dversionmangle=auto \
https://gitlab.matrix.org/matrix-org/olm/tags \
.*?@ANY_VERSION@@ARCHIVE_EXT@
