## olm 3.2.16%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -51,9 +51,12 @@
 #  * avoid unsupported flag -g
 #  * avoid unsupported stackprotector flags
 #    (emscripten use related STACK_OVERFLOW_CHECK=2 by default)
+#  * avoid Ubuntu LDFLAGS (adopted from 3.2.15~dfsg-1ubuntu1)
 $(addprefix debian/js/,$(addsuffix .js,$(JS_STEMS)) $(addsuffix .wasm,$(WASM_STEMS))):
-	CFLAGS="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector DEB_CFLAGS_MAINT_STRIP=-g dpkg-buildflags --get CFLAGS)" \
-	CXXFLAGS="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector DEB_CXXFLAGS_MAINT_STRIP=-g dpkg-buildflags --get CXXFLAGS)" \
+	CFLAGS="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector,-branch DEB_CFLAGS_MAINT_STRIP=-g dpkg-buildflags --get CFLAGS)" \
+	CXXFLAGS="$(shell DEB_BUILD_MAINT_OPTIONS=hardening=-stackprotector,-branch DEB_CXXFLAGS_MAINT_STRIP=-g dpkg-buildflags --get CXXFLAGS)" \
+	LDFLAGS="$(shell DEB_LDFLAGS_MAINT_STRIP="-Wl,-Bsymbolic-functions -flto=auto -ffat-lto-objects" dpkg-buildflags --get LDFLAGS)" \
+	LDFLAGS="" \
 	make $(DEB_BUILD_OPTION_PARALLEL:%=-j%) js
 	install -D --mode=0644 --target-directory debian/js $(addprefix javascript/,$(addsuffix .js,$(JS_STEMS)) $(addsuffix .wasm,$(WASM_STEMS)))
